Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 617771 - smbd changing mode of files on rename
smbd changing mode of files on rename
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 17:54 EDT by Jeff Layton
Modified: 2014-06-18 03:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: samba-3.5.6-69.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 629374 (view as bug list)
Environment:
Last Closed: 2010-10-28 01:45:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smbd -d10 -i output (143.23 KB, text/plain)
2010-07-23 17:54 EDT, Jeff Layton
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 7693 None None None Never

  None (edit)
Description Jeff Layton 2010-07-23 17:54:30 EDT
Created attachment 434076 [details]
smbd -d10 -i output

I was doing some testing with the linux CIFS client (with unix extensions enabled) and noticed that the nfsidem test was failing. I've narrowed down the problem to this:

[root@rawhide TEST]# chmod 0611 BAR
[root@rawhide TEST]# stat BAR
  File: `BAR'
  Size: 23        	Blocks: 2048       IO Block: 16384  regular file
Device: 15h/21d	Inode: 221217      Links: 1
Access: (0611/-rw---x--x)  Uid: (50000/testuser)   Gid: (50000/testuser)
Access: 2010-07-23 17:34:37.000000000 -0400
Modify: 2010-07-23 17:34:37.000000000 -0400
Change: 2010-07-23 17:46:52.000000000 -0400
[root@rawhide TEST]# mv BAR FOO
[root@rawhide TEST]# stat FOO
  File: `FOO'
  Size: 23        	Blocks: 2048       IO Block: 16384  regular file
Device: 15h/21d	Inode: 221217      Links: 1
Access: (0711/-rwx--x--x)  Uid: (50000/testuser)   Gid: (50000/testuser)
Access: 2010-07-23 17:34:37.000000000 -0400
Modify: 2010-07-23 17:34:37.000000000 -0400
Change: 2010-07-23 17:47:06.000000000 -0400

...during the rename, samba is adding the u+x to the mode of the file. This change is not requested by the client. I'm running:

samba-3.4.8-59.fc12.x86_64

smbd -d10 debug log is attached from a different session than the one above, but with a similar reproducer.
Comment 2 Jeff Layton 2010-09-17 11:29:52 EDT
This bug has just popped up on F14 as well, so moving this to that version. Setting sev/pri to medium, as this makes it really hard to test cifsfs...

The F14 version I'm using is samba-3.5.5-68.fc14.x86_64.
Comment 3 Fedora Update System 2010-10-08 08:23:10 EDT
samba-3.5.6-69.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/samba-3.5.6-69.fc14
Comment 4 Fedora Update System 2010-10-08 08:25:54 EDT
samba-3.5.6-69.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/samba-3.5.6-69.fc13
Comment 5 Fedora Admin XMLRPC Client 2010-10-08 10:43:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Update System 2010-10-08 16:51:31 EDT
samba-3.5.6-69.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update samba'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/samba-3.5.6-69.fc13
Comment 7 Fedora Update System 2010-10-28 01:45:40 EDT
samba-3.5.6-69.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-10-28 01:51:50 EDT
samba-3.5.6-69.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.